package mo

import "go.mongodb.org/mongo-driver/v2/mongo/options"

type mongoOption struct{}

func (mongoOption) FindOne() *FindOneOptionsBuilder {
	return options.FindOne()
}

func (mongoOption) Find() *FindOptionsBuilder {
	return options.Find()
}

func (mongoOption) UpdateOne() *UpdateOneOptionsBuilder {
	return options.UpdateOne()
}

func (mongoOption) UpdateMany() *UpdateManyOptionsBuilder {
	return options.UpdateMany()
}

func (mongoOption) FindOneAndUpdate() *FindOneAndUpdateOptionsBuilder {
	return options.FindOneAndUpdate()
}

func (mongoOption) FindOneAndDelete() *FindOneAndDeleteOptionsBuilder {
	return options.FindOneAndDelete()
}

func (mongoOption) DeleteOne() *DeleteOneOptionsBuilder {
	return options.DeleteOne()
}

func (mongoOption) DeleteMany() *DeleteManyOptionsBuilder {
	return options.DeleteMany()
}

func (mongoOption) Aggregate() *AggregateOptionsBuilder {
	return options.Aggregate()
}

func (mongoOption) Count() *CountOptionsBuilder {
	return options.Count()
}

var (
	Options = &mongoOption{}
)
